From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/recoll/
Date: Thu, 01 May 2025 21:51:46 +0000 (UTC) [thread overview]
Message-ID: <1746136180.5d6ea4040a33170dce3e6487f6c69d76ce6567e2.sam@gentoo> (raw)
commit: 5d6ea4040a33170dce3e6487f6c69d76ce6567e2
Author: Punarbasu Purkayastha <ppurka <AT> gmail <DOT> com>
AuthorDate: Sun Mar 23 20:15:06 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 1 21:49:40 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d6ea404
app-misc/recoll: Version bump to 1.43.0
[sam: Note that several plugins need to be packaged still.]
Signed-off-by: Punarbasu Purkayastha <ppurka <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/41250
Closes: https://github.com/gentoo/gentoo/pull/41250
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-misc/recoll/Manifest | 1 +
app-misc/recoll/recoll-1.43.0.ebuild | 128 +++++++++++++++++++++++++++++++++++
2 files changed, 129 insertions(+)
diff --git a/app-misc/recoll/Manifest b/app-misc/recoll/Manifest
index 71302ff6497f..d79d1861b5dc 100644
--- a/app-misc/recoll/Manifest
+++ b/app-misc/recoll/Manifest
@@ -1 +1,2 @@
DIST recoll-1.40.3.tar.gz 3217280 BLAKE2B e1e8cd0bae67087b6b34b79b9be2dde1db388740f8c2e8a222b07081ac275859780ba72a03dd319c759eae0209542ebe720f859a8a440e6d54b089858cb07257 SHA512 1f374e2f3ff721cdacd146d96e404d59554587ec30da63ffda8c9075a0b4407f70714e96a2ab3d7963f5d848096e5f295dc80bd7254ad8109e1e93732a8556a2
+DIST recoll-1.43.0.tar.gz 3263143 BLAKE2B 6c7e9740b2bf8439b5f5583281f88bd82ab5b7524ff02941d2f5f3a271d8b5a0d6d0e65e432df985a65c5d5ccffaf8c8e50a5e9b3539d5fe5c0d30fa0cc721de SHA512 1bffe39ef6339f111604720b058b5a9f0df4de5590d9253ff4d89fdb535c17a6d75d9bf7d843ddb735fcb27b64d5c42797c6321ac40845a8eae6d2f0fec08c0f
diff --git a/app-misc/recoll/recoll-1.43.0.ebuild b/app-misc/recoll/recoll-1.43.0.ebuild
new file mode 100644
index 000000000000..8ce062f9629d
--- /dev/null
+++ b/app-misc/recoll/recoll-1.43.0.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit linux-info optfeature python-single-r1 qmake-utils meson systemd
+
+DESCRIPTION="Personal full text search package"
+HOMEPAGE="https://www.recoll.org"
+SRC_URI="https://www.recoll.org/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+IUSE="camelcase chm +inotify qt6 session +spell systemd webengine"
+REQUIRED_USE="
+ session? ( inotify )
+ webengine? ( qt6 )
+ ${PYTHON_REQUIRED_USE}
+"
+
+DEPEND="
+ dev-libs/libxml2
+ dev-libs/libxslt
+ dev-libs/xapian:=
+ sys-libs/zlib
+ virtual/libiconv
+ chm? (
+ dev-libs/chmlib
+ dev-python/pychm
+ )
+ qt6? (
+ dev-qt/qtbase:6[gui,network,widgets]
+ webengine? ( dev-qt/qtwebengine:6[widgets] )
+ )
+ session? (
+ inotify? (
+ x11-libs/libSM
+ x11-libs/libICE
+ x11-libs/libX11
+ )
+ )
+ spell? ( app-text/aspell )
+ systemd? ( sys-apps/systemd )
+ ${PYTHON_DEPS}
+"
+
+BDEPEND="
+ qt6? ( dev-qt/qttools:6[linguist] )
+"
+
+RDEPEND="
+ ${DEPEND}
+ app-arch/unzip
+"
+
+pkg_setup() {
+ if use inotify; then
+ local CONFIG_CHECK="~INOTIFY_USER"
+ check_extra_config
+ fi
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ python_fix_shebang filters
+}
+
+src_configure() {
+ use qt6 && export QMAKE="$(qt6_get_bindir)/qmake"
+
+ local emesonargs=(
+ $(meson_use camelcase)
+ $(meson_use chm python-chm)
+ $(meson_use inotify)
+ $(meson_use qt6 qtgui)
+ $(meson_use session x11mon)
+ $(meson_use spell aspell)
+ $(meson_use spell python-aspell)
+ $(meson_use systemd)
+ $(meson_use webengine)
+ -Dappimage=false
+ -Dfam=false
+ -Drecollq=true
+ -Dwebkit=false
+ -Dsystemd-system-unit-dir="$(systemd_get_systemunitdir)"
+ -Dsystemd-user-unit-dir="$(systemd_get_userunitdir)"
+ )
+
+ use qt6 && emesonargs+=( $(usex webengine "-Dwebpreview=true" "-Dwebpreview=false") )
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_install
+ rm -rf "${D}/$(python_get_sitedir)"/*.egg-info || die
+ python_optimize
+
+ # html docs should be placed in /usr/share/doc/${PN}/html
+ rm -r "${ED}/usr/share/${PN}/doc" || die
+ find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ optfeature "XML based documents support" "dev-libs/libxslt[python] dev-libs/libxml2[python]"
+ optfeature "PDF files support" app-text/poppler
+ optfeature "PDF files with OCR support" app-text/tesseract
+ optfeature "MS Word files support" app-text/antiword
+ optfeature "Wordperfect files support" "app-text/libwpd[tools]"
+ optfeature "Lyx files support" app-office/lyx
+ optfeature "GNU Info files support" sys-apps/texinfo
+ optfeature "RAR archives support" dev-python/rarfile
+ optfeature "7zip archives support" dev-python/pylzma
+ optfeature "iCalendar files support" dev-python/icalendar
+ optfeature "Postscript files support" app-text/pstotext
+ optfeature "RTF files support" app-text/unrtf
+ optfeature "TeX files support" virtual/tex-base
+ optfeature "DVI files support" virtual/tex-base
+ optfeature "DJVU files support" app-text/djvu
+ optfeature "tags in audio files support" media-libs/mutagen
+ optfeature "tags in image files support" media-libs/exiftool
+ optfeature "Midi karaoke files support" dev-python/chardet
+}
next reply other threads:[~2025-05-01 21:51 UTC|newest]
Thread overview: 70+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-05-01 21:51 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-05 22:51 [gentoo-commits] repo/gentoo:master commit in: app-misc/recoll/ Andreas Sturmlechner
2025-01-03 22:08 Sam James
2025-01-03 22:08 Sam James
2024-10-19 7:07 Yixun Lan
2024-10-17 9:58 Joonas Niilola
2024-09-05 16:50 Andreas Sturmlechner
2024-04-21 12:38 Sam James
2024-04-21 12:38 Sam James
2024-04-09 6:55 Yixun Lan
2024-03-02 23:01 Sam James
2024-03-02 23:01 Sam James
2024-02-06 3:39 Sam James
2023-12-29 7:33 Arthur Zamarin
2023-07-08 18:08 Conrad Kostecki
2023-06-24 15:38 Arthur Zamarin
2023-05-27 7:49 Joonas Niilola
2023-05-27 7:49 Joonas Niilola
2023-05-27 7:49 Joonas Niilola
2023-05-01 0:23 Sam James
2023-05-01 0:09 Sam James
2023-04-10 7:37 Joonas Niilola
2023-01-12 14:07 Joonas Niilola
2022-08-17 17:11 Joonas Niilola
2022-07-03 11:51 Joonas Niilola
2022-07-03 11:51 Joonas Niilola
2022-04-23 6:25 Joonas Niilola
2022-04-23 6:25 Joonas Niilola
2022-01-09 11:02 Joonas Niilola
2022-01-09 11:02 Joonas Niilola
2021-12-09 16:24 Agostino Sarubbo
2021-12-08 11:54 Jakov Smolić
2021-11-10 8:02 Joonas Niilola
2021-07-08 7:35 Joonas Niilola
2021-06-29 21:24 Sam James
2021-06-29 21:24 Sam James
2021-05-31 20:18 Michał Górny
2021-04-22 3:01 Sam James
2021-04-22 2:59 Sam James
2021-03-16 6:54 Joonas Niilola
2021-03-10 11:33 Joonas Niilola
2021-02-10 14:55 Joonas Niilola
2021-02-10 14:55 Joonas Niilola
2021-01-13 9:18 Sam James
2021-01-13 9:17 Sam James
2020-12-05 4:55 Erik Mackdanz
2019-07-18 13:39 Agostino Sarubbo
2019-07-18 7:26 Agostino Sarubbo
2019-06-27 17:21 Andreas Sturmlechner
2019-05-08 17:05 Andreas Sturmlechner
2019-02-03 14:08 Andreas Sturmlechner
2018-09-10 19:46 Andreas Sturmlechner
2018-09-09 8:23 Mikle Kolyada
2018-09-09 1:12 Thomas Deutschmann
2018-06-01 14:10 Aaron Bauman
2017-12-16 23:15 Andreas Sturmlechner
2017-11-30 19:02 Thomas Deutschmann
2017-09-24 8:53 Michael Palimaka
2017-07-19 15:51 Patrice Clement
2017-04-27 18:15 Andreas Sturmlechner
2017-04-24 7:23 Agostino Sarubbo
2017-04-20 7:59 David Seifert
2017-03-04 18:50 Andreas Sturmlechner
2017-03-04 18:17 Andreas Sturmlechner
2017-03-04 18:17 Andreas Sturmlechner
2016-11-01 10:30 Pacho Ramos
2016-11-01 10:29 Pacho Ramos
2016-08-17 13:50 Pacho Ramos
2016-06-25 8:26 Michał Górny
2015-10-18 18:20 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1746136180.5d6ea4040a33170dce3e6487f6c69d76ce6567e2.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox